`default_nettype none
module demo(
    input      CLK,
    output     PIN_14,
    output     PIN_15,
    output     PIN_16,
    output     PIN_17,
    output     PIN_18,
    input      PIN_10, // input p1
    input      PIN_11, // input p2
    input      PIN_12, // input p3
    input      PIN_13  // input p4
    );


// Alias inputs
   wire   p1;
   wire   p2;
   wire   p3;
   wire   p4;

// Alias outputs
   wire   o1;
   wire   o2;
   wire   o3;
   wire   o4;
   wire   o5;

   assign p1=PIN_10;
   assign p2=PIN_11;
   assign p3=PIN_12;
   assign p4=PIN_13;

   assign o5=p4; // output directly controls

   always  // combinational assignment -- always computing
     begin
        // <= is used for logic assignment
	       o1<=p1 & p2;   // and together two inputs
	       o2<=p1 | p2;   // or together two inputs
         o3<=!(p1 & !p2); // use a not !
         o4<=(p1 & p2) | !p3; // compound logic expression
     end

   // Wire up the lights
     assign PIN_14 = o1;
     assign PIN_15 = o2;
     assign PIN_16 = o3;
     assign PIN_17 = o4;
     assign PIN_18 = o5;
endmodule
